Skip to main content
PUT
/
pipeline
/
{pipeline_id}
/
source
/
{pipeline_source_id}
Update source
curl --request PUT \
  --url https://api.mezmo.com/v3/pipeline/{pipeline_id}/source/{pipeline_source_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_config": {},
  "generation_id": 123,
  "title": "<string>",
  "description": "<string>",
  "deploy_type": "saas"
}
'

Documentation Index

Fetch the complete documentation index at: https://mezmo-9a59581a-mintlify-926f893d.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your token in the format: Token mytokengoeshere

Path Parameters

pipeline_id
string<uuid>
required
pipeline_source_id
string<uuid>
required

Body

application/json
type
enum<string>
required
Available options:
http,
splunk-hec,
s3,
sqs,
demo-logs,
kinesis-firehose,
fluent,
log-analysis,
log-analysis-ingestion,
logstash,
mezmo-agent,
mezmo-datadog-source,
pipeline-data-restoration,
webhook,
kafka,
azure-event-hub,
prometheus-remote-write,
open-telemetry-metrics,
open-telemetry-logs,
open-telemetry-traces
user_config
object
required
generation_id
integer
required
title
string | null
Required string length: 1 - 512
Pattern: ^[^<>"]+$
description
string | null
Minimum string length: 1
Pattern: ^[^<>"]+$
deploy_type
enum<string>
default:saas
Available options:
saas,
local

Response

200

Default Response